Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page # view_type_from_pixel Struct Template Reference [xxx_type_from_pixel] `#include <metafunctions.hpp>` List of all members. ## Detailed Description ### template<typename Pixel, bool IsPlanar = false, bool IsStepX = false, bool IsMutable = true> struct boost::gil::view_type_from_pixel< Pixel, IsPlanar, IsStepX, IsMutable > Returns the type of a view the pixel type, whether it operates on planar data and whether it has a step horizontally.
## Public Types
typedef type_from_x_iterator < typename iterator_type_from_pixel < Pixel, IsPlanar, IsStepX, IsMutable >::type >::view_t | type
The documentation for this struct was generated from the following file: metafunctions.hpp